package StandardStructure;

import defaultpackage.Structure;
import java.util.ArrayList;
import java.util.Random;;

public class ArrayListC implements Structure
{
	protected ArrayList<Integer> arrayList;
	
	public ArrayListC(int nbValue) 
	{
		Random rnd = new Random();
		arrayList = new ArrayList<Integer>();
		for(int i = 0; i < nbValue; i++) 
		{
			Add(rnd.nextInt());
		}

	}

	@Override
	public void Add(int value) 
	{
		arrayList.add(value);
	}

	@Override
	public void Remove(int index) throws Exception
	{	
		try 
		{
			arrayList.remove(index);
		}
		catch(IndexOutOfBoundsException e)
		{
			throw new Exception("L'index dfini ne se situe pas dans les bornes du tableau");
		}
	}

	@Override
	public int Select(int index) throws Exception
	{
		try 
		{
			return arrayList.get(index);
		}
		catch(IndexOutOfBoundsException e)
		{
			throw new Exception("L'index dfini ne se situe pas dans les bornes du tableau");
		}
	}
}
