package PersonalStructure;

public class Cursor {
	protected Link currentLink;
	protected ChainedList currentList;
	protected int pos;
	
	public Cursor(ChainedList currentList, Link currentLink, int pos) {
		this.currentLink = currentLink;
		this.currentList = currentList;
		this.pos = pos;
	}

	public Cursor() {
		this.pos = 0;
	}
	
	public void position(int pos)
	{
		// si on est arriv  la bonne position, on garde le maillon actuel
		if (pos == this.pos)
		{ }
		// si nous sommes avant la position voulue, on avance
		else if (pos > this.pos)
		{
			while(pos != this.pos)
			{
				goForward();
			}
		}
		// si nous sommes aprs la position voulue, on recule
		else if (pos < this.pos)
		{
			while(pos != this.pos)
			{
				goBack();
			}
		}
	}
	
	private void goForward() {
		// si on n'est pas encore arriv  la fin de la liste, on avance
		if(this.pos <= this.currentList.nbVal)
		{
			this.pos += 1;
			this.currentLink = this.currentLink.next;
		}
		// sinon on retourne au dbut de la liste
		else {
			this.pos = 0;
			this.currentLink = this.currentList.head;
		}
	}
	
	private void goBack() {
		// si on n'est pas encore arriv au dbut de la liste, on recule
		if(this.pos >= 0)
		{
			this.pos -= 1;
		}
		// sinon on va  la fin de la liste
		else {
			this.pos = this.currentList.nbVal;
		}
		// on recule toujours
		this.currentLink = this.currentLink.last;
	}

	public void setList(ChainedList list) {
		this.currentList = list;
		this.currentLink = list.head;	
	}
}
